XP frontend...

Qui trovi aiuto nell'installazione e configurazione dei frontend

Moderatori: Zak0077, f205v, Moket, Phpbb Master, Moderatore Software

pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

XP frontend...

Messaggio da pierini1 » 24/10/2017, 17:49

Ciao,
ho scaricato un mucchio di frontends ma sono tutti INUTILI sia perche' sono troppo vecchi rispetto all'ultima versione del MAME sia perche' hanno bisogno di FRAMEWORK e SP3.....

Premesso che io uso ancora XP HOME EDITION e ho solo 500 MB di RAM con un CPU di soli 2.60 Ghtz, quale FRONTEND posso usare per giocare al MAME 0.189 (ultima versione) ?
Grazie, ciao.


Avatar utente
b4nd1t0
Extreme Arcader
Extreme Arcader
Messaggi: 2145
Iscritto il: 06/06/2016, 17:34
Medaglie: 8
Reputation: 522
Località: Roma
Nazione: Italia
:
Medaglia d'oro Medaglia di bronzo Medaglia di legno
Contatta:

Re: XP frontend...

Messaggio da b4nd1t0 » 24/10/2017, 19:11

Advancemenu e sei apposto.
mame-wolfmame-hbmame cab friendly ed altri emu compilati da me -> vai quì

in bacheca uso wolfmame 0.158


Avatar utente
Barito
Extreme Arcader
Extreme Arcader
Messaggi: 1831
Iscritto il: 08/12/2015, 19:18
Reputation: 494

Re: XP frontend...

Messaggio da Barito » 24/10/2017, 20:38

Io usavo advancemenu ed era più pesante di FEEL! Non riesci proprio ad installare quelle due librerie che richiede?
Non é vero che siamo quello che mangiamo: siamo quello che non dimentichiamo.


Avatar utente
motoschifo
Arcader
Arcader
Messaggi: 431
Iscritto il: 08/12/2015, 9:55
Reputation: 163
Località: Parma
Nazione: Italy
Contatta:

Re: XP frontend...

Messaggio da motoschifo » 24/10/2017, 23:12

I front-end troppo vecchi non supporteranno mai un Mame che continua a cambiare ad ogni release, quindi se vuoi usare quelli dovrai per forza rimanere ancorato ad una vecchia versione del Mame (io consiglio la 0.149 o la 0.153 se si vogliono i giochi Cave).
Da quella release ci sono state tante modifiche e tante aggiunte, ma il 90-95% dei giochi ci sono e vanno bene.

Se usi front-end sviluppati negli ultimi 10 anni, quasi certamente dovrai installare il service pack 3 di XP (ammesso che sia supportato) ed obbligatoriamente il .Net framework. Queste librerie sono di supporto ai programmi, è come voler fare una parete verde ma con un pennello senza setole.
Basta non esagerare, ovvero non pretendere di installare un framework 4.5 su pc vecchi, perchè verrebbero affossati (già il service pack da una botta enorme in termini di occupazione disco richiesto).

Se invece vuoi usare sempre l'ultima versione del Mame, ammesso che il tuo hardware la possa eseguire, ti consiglio di usare solo front-end attivi e supportati oggi, altrimenti sei da capo e al minimo problema rimarrai fermo.
Per es. ad un certo punto hanno cambiato l'xml in uscita (per me è stata una scelta molto discutibile visto che xml è sinonimo di compatibilità e non c'era effettivo bisogno di questo cambio, ma passiamo oltre).
Non molto tempo fa hanno cambiato pezzi per le cartelle (romset) rischiando di rovinare qualcosina (anzi qualcosa non va ancora oggi, dopo 5 release).
C'è la questione uscita video che in pratica penalizza i cab con monitor CRT, fermi qualche release fa.
Hanno cambiato le modalità di lettura dei giochi funzionanzi/non funzionanti, e stanno cambiando tante altre cose (i dipswitch contengono errori e non gestiscono tutti i casi, ecc.)

Per riassumere, se il front-end non è supportato attivamente è un rischio tenerlo. Feel, per esempio è realizzato da una persona italiana che legge abitualmente i forum e che corregge o implementa nuove funzioni senza grossi problemi. Inoltre è disponibile anche il sorgente pubblicamente, cosa che permette per esempio un eventuale fix nel caso in cui l'autore decida di fermarsi.

Io con un pc così vecchio non andrei oltre le versioni 0.106 o 0.153, in base ai giochi che vuoi metterci dentro.
Puoi sempre provare e vedere se riesci a far funzionare il Mame, poi decidi il front-end da metterci sopra.
In ultima analisi valuta anche la possibilità di usare la gui del Mame, che non è il massimo per un cabinato ma con una mini tastierina cambi giochi in pochi secondi.
Motoschifo
CAB ›MameOriz ›MameVert ›PCB ›NeoGeo ›TopDrive ›Tekken3 Wishlist ›PacMan ›Tempest ›Arkanoid
Flipper ›HighSpeed Wishlist ›DoctorWho ›MedievalMadness ›HighSpeed2 WebArcadeDatabase


Avatar utente
Barito
Extreme Arcader
Extreme Arcader
Messaggi: 1831
Iscritto il: 08/12/2015, 19:18
Reputation: 494

Re: XP frontend...

Messaggio da Barito » 25/10/2017, 6:38

Advancemenu ha visto recentissimi aggiornamenti, ma ho idea che ormai sia prevalentemente un frontend raspy-oriented.
FEEL mi sembra la scelta migliore.

Non é vero che siamo quello che mangiamo: siamo quello che non dimentichiamo.


Avatar utente
saturnshadow
Extreme Arcader
Extreme Arcader
Messaggi: 1567
Iscritto il: 04/05/2016, 16:00
Medaglie: 28
Reputation: 408
Località: Bologna
Nazione: Italy
:
Medaglia d'oro Medaglia d'argento Medaglia di bronzo Medaglia di legno Challengebuster Season Winner

Re: XP frontend...

Messaggio da saturnshadow » 25/10/2017, 9:34

pierini1 ha scritto:
24/10/2017, 17:49
Ciao,
ho scaricato un mucchio di frontends ma sono tutti INUTILI sia perche' sono troppo vecchi rispetto all'ultima versione del MAME sia perche' hanno bisogno di FRAMEWORK e SP3.....

Premesso che io uso ancora XP HOME EDITION e ho solo 500 MB di RAM con un CPU di soli 2.60 Ghtz, quale FRONTEND posso usare per giocare al MAME 0.189 (ultima versione) ?
Grazie, ciao.
non lo puoi fare in maniera ottimale a meno che non investi l'importo di un caffè + cappuccino e ti compri un banco aggiuntivo di RAM da 512 MB o direttamente 1 Gb da aggiungere ai 512 Mb che già hai
soluzione rapida, semplice e senza sbattimenti [icon_wink.gif]


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 26/10/2017, 9:48

ma ADVANCEMENU funziona SOLO con ADVANCEMAME.... ed io uso l'ultima versione del MAME (0.189).....

per usare l'altro frontend Feel devo PRIMA scaricare NET FRAMEWORK 3.5 e questo pc che uso si spegne all'improvviso da solo se glielo installo.
E' un pc mezzo morto ma rende ancora qualcosa e lo cambiero' SOLO nel 2018.


Avatar utente
b4nd1t0
Extreme Arcader
Extreme Arcader
Messaggi: 2145
Iscritto il: 06/06/2016, 17:34
Medaglie: 8
Reputation: 522
Località: Roma
Nazione: Italia
:
Medaglia d'oro Medaglia di bronzo Medaglia di legno
Contatta:

Re: XP frontend...

Messaggio da b4nd1t0 » 26/10/2017, 9:52

advancemenu funziona con qualunque cosa, basta dirgli dove è l'eseguibile dell'emulatore e la cartella delle rom
mame-wolfmame-hbmame cab friendly ed altri emu compilati da me -> vai quì

in bacheca uso wolfmame 0.158


Avatar utente
Barito
Extreme Arcader
Extreme Arcader
Messaggi: 1831
Iscritto il: 08/12/2015, 19:18
Reputation: 494

Re: XP frontend...

Messaggio da Barito » 26/10/2017, 11:17


pierini1 ha scritto:[omissis]e lo cambiero' SOLO nel 2018.
Ne riparliamo l'anno prossimo allora!

Non é vero che siamo quello che mangiamo: siamo quello che non dimentichiamo.


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 31/10/2017, 8:31

beh, dato che siamo ancora nel 2017, vorrei sapere questo:
dopo aver scaricato e dezippato ADVANCEMENU 3.5, io ho messo ADVMENU.EXE dentro la cartella del mio MAME (C:\MAME) prelevandolo dalla cartella di ADVMAME ma e' sicuro che io debba mettere solo ilo fuile ADVMENU.EXE nella cartella del mio MAME ?
Immagine


ma mi esce l'errore "EMULATORE MAME.EXE NON TROVATO" quindi dove devo andare a modificare la directory del mio MAME ?
Per caso nel file ADVMENU.RC ?:
Immagine


In piu, quando apro INUTILMENTE il file ADVMENU.EXE, mi crea da solo il file "mame.xml" ma anche questo e' INUTILE perche' io ho gia il file "mame0189.xml" nella cartella del mio MAME:
Immagine


Avatar utente
b4nd1t0
Extreme Arcader
Extreme Arcader
Messaggi: 2145
Iscritto il: 06/06/2016, 17:34
Medaglie: 8
Reputation: 522
Località: Roma
Nazione: Italia
:
Medaglia d'oro Medaglia di bronzo Medaglia di legno
Contatta:

Re: XP frontend...

Messaggio da b4nd1t0 » 31/10/2017, 9:14

No, non devi spostare niente, modifica il file advmenu.rc (con un editor di testo) ed aggiungi (per ora) due linee per dire dove sta l'eseguibile del tuo mame e la relativa cartella roms, quì trovi tutte le istruzioni.
Lui creerà l'xml, vedrà che roms hai e creerà la lista, poi ti dedicherai alle snap etc. (se ti piace tutto)
mame-wolfmame-hbmame cab friendly ed altri emu compilati da me -> vai quì

in bacheca uso wolfmame 0.158


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 31/10/2017, 18:49

tenendo conto che la directory del mio mame e':
C:\Documents and Settings\PIRLO2\Desktop\sonny
io ho aggiunto queste 2 linee:
emulator "mame" mame "C:\Documents and Settings\PIRLO2\Desktop\sonny\mame.exe"
emulator_roms "mame" "C:\Documents and Settings\PIRLO2\Desktop\sonny\roms"
di cui la prima linea e' per la directory dell'emulatore MAME mentre la seconda linea lo e' per le roms.

Pero' mi esce sempre questo errore:
Immagine


COME MAI ? (allego il file advmenu.rc zippato in formato .rar)
Non hai i permessi necessari per visualizzare i file allegati in questo messaggio.


Avatar utente
josef 1975
Extreme Arcader
Extreme Arcader
Messaggi: 2241
Iscritto il: 05/08/2004, 14:07
Reputation: 3

Re: XP frontend...

Messaggio da josef 1975 » 01/11/2017, 12:38

Il più leggero è certamente il glorioso mamewah, un utente lo ha ricompilato per supportare il nuovo formato xml .. a breve lo testo sul cab


http://forum.arcadecontrols.com/index.p ... c=153504.0
ARCADE 0.191 - WORKING ONLY ROMS
i5 3750k 3.8ghz 16Gb Ram Nvidia GTX 970 4Gb SSD128gb + HDD 1TB Immagine


Avatar utente
b4nd1t0
Extreme Arcader
Extreme Arcader
Messaggi: 2145
Iscritto il: 06/06/2016, 17:34
Medaglie: 8
Reputation: 522
Località: Roma
Nazione: Italia
:
Medaglia d'oro Medaglia di bronzo Medaglia di legno
Contatta:

Re: XP frontend...

Messaggio da b4nd1t0 » 01/11/2017, 14:34

pierini1 ha scritto:
31/10/2017, 18:49
tenendo conto che la directory del mio mame e':
C:\Documents and Settings\PIRLO2\Desktop\sonny
io ho aggiunto queste 2 linee:
emulator "mame" mame "C:\Documents and Settings\PIRLO2\Desktop\sonny\mame.exe"
emulator_roms "mame" "C:\Documents and Settings\PIRLO2\Desktop\sonny\roms"
di cui la prima linea e' per la directory dell'emulatore MAME mentre la seconda linea lo e' per le roms.

Pero' mi esce sempre questo errore:
Immagine


COME MAI ? (allego il file advmenu.rc zippato in formato .rar)
ti confermo che dopo aver aggiunto queste due linee sul mio pc

Codice: Seleziona tutto

emulator "mame" mame "G:\mame\Emulatori\0189\mame0189b_64bit\mame64.exe"
emulator_roms "mame" "G:\mame\MAME 0.189 ROMs (split)"
advmenu ha generato correttamente la lista roms, prova a spostarli dal desktop magari [think.gif]
La segnalazione di josef ti aggiunge un FE di tutto rispetto, dagli un occhio, io lo provo subito, visto che i temi che uso ora sono ispirati a quello!
mame-wolfmame-hbmame cab friendly ed altri emu compilati da me -> vai quì

in bacheca uso wolfmame 0.158


Avatar utente
josef 1975
Extreme Arcader
Extreme Arcader
Messaggi: 2241
Iscritto il: 05/08/2004, 14:07
Reputation: 3

Re: XP frontend...

Messaggio da josef 1975 » 01/11/2017, 16:22

Io sono sempre "bloccato" in montagna, fammi sapere come va che poi devo aggiornare anch'io :D
ARCADE 0.191 - WORKING ONLY ROMS
i5 3750k 3.8ghz 16Gb Ram Nvidia GTX 970 4Gb SSD128gb + HDD 1TB Immagine


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 01/11/2017, 16:33

niente, non va....perche' mi esce sempre questo errore come se ADVMENU scombinasse la directory che gli ho dato e che pero' e' GIUSTISSIMA.....:

Immagine


Ma queste 2 tue linee:
emulator "mame" mame "G:\mame\Emulatori\0189\mame0189b_64bit\mame64.exe"
emulator_roms "mame" "G:\mame\MAME 0.189 ROMs (split)"
le hai aggiunte all'inizio del file ADVMENU.RC oppure alla fine ?

Io le ho aggiunte subito sotto a:
emulator "advmame" advmame "advmame.exe" "-quiet"
emulator "advmess" advmess "advmess.exe" "-quiet"


Avatar utente
b4nd1t0
Extreme Arcader
Extreme Arcader
Messaggi: 2145
Iscritto il: 06/06/2016, 17:34
Medaglie: 8
Reputation: 522
Località: Roma
Nazione: Italia
:
Medaglia d'oro Medaglia di bronzo Medaglia di legno
Contatta:

Re: XP frontend...

Messaggio da b4nd1t0 » 02/11/2017, 9:38

ho fatto come te, che poi non credo faccia molta differenza, l'errore è strano, in effetti sembrano scomposte le linee, c'è una c di troppo sopra ed una di meno sotto, davvero non capisco perché [think.gif]
Ora ti invito a provare (dato che ci sei) anche [urlhttp://attractmode.org/download.html]Attractmode[/url], non capisco perché non lo avevo ancora fatto, visto che è il mio preferito e che attualmente lo uso su cab e cocktail. [yes.gif]
mame-wolfmame-hbmame cab friendly ed altri emu compilati da me -> vai quì

in bacheca uso wolfmame 0.158


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 02/11/2017, 10:07

beh l'errore delle lettere scomposte a caso(una C a fine directory o prima..) e' dovuto ad un BUG di ADVANCEMENU che sta nel file MAME.xml (lista roms) che non viene creata a dovere da ADVANCEMENU.
Ho risolto questo bug infatti cancellando il file MAME.xml creato da ADVANCEMENU e sostituendolo con MAME.xml gia presente nella cartella del mio MAME ufficiale (senza nessun frontend) e cosi l'errore di ADVANCEMENU e' tornato pero' poi si e' aperto il suo frontend con tutta la lista delle mie roms quindi e' proprio un BUG.....
AD OGNI MODO E' TUTTO INUTILE PERCHE' ADVANCEMENU CI IMPIEGA 25 SECONDI (super ritardato) AD APRIRSI NEL MIO VECCHIO SCARSO PC QUINDI L'HO GIA CANCELLATO PERCHE' FACCIO PRIMA A FARE TUTTO CON IL CLASSICO MAME.EXE (versione 0.189).

Ora provo con il frontend MAMEWAH di josep1975 e con il tuo ATTRACTMODE....



P.S. = potete cercare un frontend che si trova piu da nessuna parte in formato download ?
Si tratta del frontend EMUTRON e qui c'e' una breve descrizione di lui:
http://arcadecontrols.com/arcade_softwa ... l#frontend
e sappiate che dovete scorrere un po' la lista dei frontend prima di trovarlo nel suddetto sito ed in piu metto una sua foto:

Immagine


Avatar utente
josef 1975
Extreme Arcader
Extreme Arcader
Messaggi: 2241
Iscritto il: 05/08/2004, 14:07
Reputation: 3

Re: XP frontend...

Messaggio da josef 1975 » 05/11/2017, 0:46

Aggiornato il mio cab col Mame 190 e mamewah linkato sopra, confermo che funziona perfettamente
;)
ARCADE 0.191 - WORKING ONLY ROMS
i5 3750k 3.8ghz 16Gb Ram Nvidia GTX 970 4Gb SSD128gb + HDD 1TB Immagine


pierini1
Gamer
Gamer
Messaggi: 56
Iscritto il: 13/07/2017, 9:28
Reputation: 2
Località: Padova
Nazione: Italia
Contatta:

Re: XP frontend...

Messaggio da pierini1 » 05/11/2017, 8:48

il tuo MAMEWAH non funziona per niente in ambiente XP HOME EDITION.
Sicuramente funziona bene in altri sistemi operativi pero' !!!

Per quanto riguarda il frontend ATTRACT MODE di b4nd1t0 vi posso dire che funziona a meraviglia anche su XP HOME e penso sia migliore di Mamewah.
Anche perche' ATTRACT MODE funziona laddove MAMEWAH non parte nemmeno....infatti la mia unica alternativa era usare una versione vecchia di Mamewah che non supporta gli ultimi giochi emulati del MAME mentre invece ATTRACT MODE lo fa !!!


Rispondi

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti